# <iisdirinfo>

Lists the configuration settings of a specified virtual directory in a web site hosted on Internet Information Server.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
vdirname | string | Name of the IIS virtual directory. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
iisserver | string | The IIS server, which can be specified using the format `[host]:[port]`. The default is `localhost:80`. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False
website | string | The website on the IIS server. | False

### Examples

- List the settings of a virtual directory named `Temp`.

                  <iisdirinfo vdirname="Temp" />

### Requirements

Assembly: NAnt.Contrib.Tasks (0.91.4312.0)